require "devops-client/options/common_options"

class ChefOptions < CommonOptions

  commands :bootstrap_templates, tags: [:list, :set, :unset]

  COMMAND_NAME = "chef"

  def initialize args, def_options
    super(args, def_options)
    self.header = I18n.t("headers.chef")
    self.banner_header = COMMAND_NAME
    self.bootstrap_templates_params = []
    self.tags_list_params = ["CM_NAME"]
    self.tags_set_params = ["CM_NAME", "TAGS..."]
    self.tags_unset_params = ["CM_NAME", "TAGS..."]
  end

end
